明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 2575|回复: 1

如何在VB6中求取两个对象交点的办法

[复制链接]
发表于 2006-4-23 10:35:00 | 显示全部楼层 |阅读模式
本帖最后由 作者 于 2006-4-27 17:33:40 编辑

在VB6中如何用样条曲线spline组合成填充区域.线条相交,在CAD操作界面中可以手动填冲,在VB6中如何采用代码来填冲.下面这个示例中用的都是已知交点,用交点重新组合就可以构建填充区域了!

Sub Example_AppendOuterLoop()
    ' This example creates an associative hatch in model space.
    
    Dim hatchObj As AcadHatch
    Dim patternName As String
    Dim PatternType As Long
    Dim bAssociativity As Boolean
    
    ' Define the hatch
    patternName = "ANSI31"
    PatternType = 0
    bAssociativity = True
    
    ' Create the associative Hatch object
    Set hatchObj = ThisDrawing.ModelSpace.AddHatch(PatternType, patternName, bAssociativity)
    
    ' Create the outer loop for the hatch.
    ' An arc and a line are used to create a closed loop.
    Dim outerLoop(0 To 1) As AcadEntity
    Dim center(0 To 2) As Double
    Dim radius As Double
    Dim startAngle As Double
    Dim endAngle As Double
    center(0) = 5: center(1) = 3: center(2) = 0
    radius = 1
    startAngle = 0
    endAngle = 3.141592
    Set outerLoop(0) = ThisDrawing.ModelSpace.AddArc(center, radius, startAngle, endAngle)
    Set outerLoop(1) = ThisDrawing.ModelSpace.AddLine(outerLoop(0).startPoint, outerLoop(0).endPoint)
        
    ' Append the outer loop to the hatch object, and display the hatch
    hatchObj.AppendOuterLoop (outerLoop)
    hatchObj.Evaluate
    ZoomAll
    
End Sub
 
 楼主| 发表于 2006-4-27 17:29:00 | 显示全部楼层
晕死了,最后还是用这个办法解决的。求到交点再重新组合点来构建填冲区域。
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-25 09:58 , Processed in 0.150240 second(s), 24 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表